[PAID $100+] Y8 Highscore API implementation for a Web game

vikingpotato

  • Posts: 854
I got a sponsorship mail from Y8 for one of my games, but they are looking for API integration of their Y8 Highscore API. Does anyone have any experience with this, or can help me integrate it? I have absolutely no experience integrating custom API outside Stencyl..
I really want grab this deal, just need the API sorted. I can pay $100 for a way to get this implemented through an extension, custom code or behaviour, whatever is the way..



« Last Edit: September 30, 2015, 04:13:21 am by vikingpotato »

vikingpotato

  • Posts: 854
This is where the API can be found:
http://dev.id.net/

I am willing to negotiate the development cost.

« Last Edit: September 30, 2015, 04:11:33 am by vikingpotato »

vikingpotato

  • Posts: 854
@Admins: Can this be moved to Paid work?

letmethink

  • *
  • Posts: 2547
Fairly sure there is an extension already available, but it is broken. I'll have a go at fixing it for you. (Under documentation then haxe). Unfortunately I can't guarantee anything, but I'll have a go.
~Letmethink

vikingpotato

  • Posts: 854
Thanks a lot. I really look forward to it.

letmethink

  • *
  • Posts: 2547
I managed to get the extension to work without modifying anything on my end from the extension for flash. I would need to hear exactly what you would need to add all the links into Stencyl for blocks, but it is easily doable for now.

You can download the extension that has been made here. If you need help regarding setup, reply here.
http://dev.id.net/docs/haxe/
~Letmethink

vikingpotato

  • Posts: 854
I integrated the extension. Using this guide,  http://dev.id.net/docs/  I created a test app at IDnet web portal.

Now in the create even in the first scene: -
Used Initiate IDnet block with the fields ,
Used Show IDnet login block.

I get the following error
/Users/S7EEL/stencylworks/engine-extensions/IDNetExtension/idnet/flash/_Social.hx:16: characters 0-15 : Warning : Structurally extending classes is deprecated and will be removed

Which Stencyl version should I be using for this? The latest private release?
I am using one of the newer stable releases.

letmethink

  • *
  • Posts: 2547
That error can be ignored for now. It shouldn't stop your game building (it doesn't on my end).
~Letmethink

Blobzone

  • *
  • Posts: 86
I had a similar issue. Thats also why i didnt get it sponsored afterall. The extension wasnt working and bugging around. If you find a solution to that and wouldnt mind sharing it, i would be thankful.

Also is there maybe some kind of pool for API´s in general? Because if i cant integrate the API´s  most Sponsors wont make deals :/

letmethink

  • *
  • Posts: 2547
I have a working project on my end, that performs all the functions. I am on my phone right now so can't post it, but I will later.

Some basic points. Afaik, you can't test this locally. You must upload your game to the domain you specified in the project details for it to work. E.g. I specified Newgrounds.com for my example, and I am playing my game on newgrounds.com.
~Letmethink

vikingpotato

  • Posts: 854
Could get it to work using the domain matching! Let me get this verified with the Y8 link :)

1MrPaul1

  • *
  • Posts: 1268
Can you share with details hot to get it work?
Is it working in HTML 5?